Create security secret
curl --request POST \
--url https://{host}/api/supervisors/{name}/security/secrets \
--header 'Content-Type: application/json' \
--cookie k8s-gate-session= \
--data '
{
"name": "<string>",
"namespace": "<string>",
"pairs": [
{
"key": "<string>",
"secretValue": "<string>"
}
],
"registry": "<string>",
"registryPassword": "<string>",
"type": "<string>",
"username": "<string>"
}
'import requests
url = "https://{host}/api/supervisors/{name}/security/secrets"
payload = {
"name": "<string>",
"namespace": "<string>",
"pairs": [
{
"key": "<string>",
"secretValue": "<string>"
}
],
"registry": "<string>",
"registryPassword": "<string>",
"type": "<string>",
"username": "<string>"
}
headers = {
"cookie": "k8s-gate-session=",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {cookie: 'k8s-gate-session=', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
namespace: '<string>',
pairs: [{key: '<string>', secretValue: '<string>'}],
registry: '<string>',
registryPassword: '<string>',
type: '<string>',
username: '<string>'
})
};
fetch('https://{host}/api/supervisors/{name}/security/secrets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/api/supervisors/{name}/security/secrets",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'namespace' => '<string>',
'pairs' => [
[
'key' => '<string>',
'secretValue' => '<string>'
]
],
'registry' => '<string>',
'registryPassword' => '<string>',
'type' => '<string>',
'username' => '<string>'
]),
CURLOPT_COOKIE => "k8s-gate-session=",
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{host}/api/supervisors/{name}/security/secrets"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"namespace\": \"<string>\",\n \"pairs\": [\n {\n \"key\": \"<string>\",\n \"secretValue\": \"<string>\"\n }\n ],\n \"registry\": \"<string>\",\n \"registryPassword\": \"<string>\",\n \"type\": \"<string>\",\n \"username\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("cookie", "k8s-gate-session=")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{host}/api/supervisors/{name}/security/secrets")
.header("cookie", "k8s-gate-session=")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"namespace\": \"<string>\",\n \"pairs\": [\n {\n \"key\": \"<string>\",\n \"secretValue\": \"<string>\"\n }\n ],\n \"registry\": \"<string>\",\n \"registryPassword\": \"<string>\",\n \"type\": \"<string>\",\n \"username\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/api/supervisors/{name}/security/secrets")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["cookie"] = 'k8s-gate-session='
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"namespace\": \"<string>\",\n \"pairs\": [\n {\n \"key\": \"<string>\",\n \"secretValue\": \"<string>\"\n }\n ],\n \"registry\": \"<string>\",\n \"registryPassword\": \"<string>\",\n \"type\": \"<string>\",\n \"username\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}security
Create security secret
Policy Studio (M1 v1.11.31): list CNP/CCNP + identity → labels
Authorisation: security:WriteSecrets on krn:celum:supervisor:{name}:security:*.
POST
/
api
/
supervisors
/
{name}
/
security
/
secrets
Create security secret
curl --request POST \
--url https://{host}/api/supervisors/{name}/security/secrets \
--header 'Content-Type: application/json' \
--cookie k8s-gate-session= \
--data '
{
"name": "<string>",
"namespace": "<string>",
"pairs": [
{
"key": "<string>",
"secretValue": "<string>"
}
],
"registry": "<string>",
"registryPassword": "<string>",
"type": "<string>",
"username": "<string>"
}
'import requests
url = "https://{host}/api/supervisors/{name}/security/secrets"
payload = {
"name": "<string>",
"namespace": "<string>",
"pairs": [
{
"key": "<string>",
"secretValue": "<string>"
}
],
"registry": "<string>",
"registryPassword": "<string>",
"type": "<string>",
"username": "<string>"
}
headers = {
"cookie": "k8s-gate-session=",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {cookie: 'k8s-gate-session=', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
namespace: '<string>',
pairs: [{key: '<string>', secretValue: '<string>'}],
registry: '<string>',
registryPassword: '<string>',
type: '<string>',
username: '<string>'
})
};
fetch('https://{host}/api/supervisors/{name}/security/secrets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/api/supervisors/{name}/security/secrets",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'namespace' => '<string>',
'pairs' => [
[
'key' => '<string>',
'secretValue' => '<string>'
]
],
'registry' => '<string>',
'registryPassword' => '<string>',
'type' => '<string>',
'username' => '<string>'
]),
CURLOPT_COOKIE => "k8s-gate-session=",
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{host}/api/supervisors/{name}/security/secrets"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"namespace\": \"<string>\",\n \"pairs\": [\n {\n \"key\": \"<string>\",\n \"secretValue\": \"<string>\"\n }\n ],\n \"registry\": \"<string>\",\n \"registryPassword\": \"<string>\",\n \"type\": \"<string>\",\n \"username\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("cookie", "k8s-gate-session=")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{host}/api/supervisors/{name}/security/secrets")
.header("cookie", "k8s-gate-session=")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"namespace\": \"<string>\",\n \"pairs\": [\n {\n \"key\": \"<string>\",\n \"secretValue\": \"<string>\"\n }\n ],\n \"registry\": \"<string>\",\n \"registryPassword\": \"<string>\",\n \"type\": \"<string>\",\n \"username\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/api/supervisors/{name}/security/secrets")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["cookie"] = 'k8s-gate-session='
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"namespace\": \"<string>\",\n \"pairs\": [\n {\n \"key\": \"<string>\",\n \"secretValue\": \"<string>\"\n }\n ],\n \"registry\": \"<string>\",\n \"registryPassword\": \"<string>\",\n \"type\": \"<string>\",\n \"username\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
sessionCookiebearerToken
The session cookie issued by the OIDC sign-in flow. This is what a browser uses.
Path Parameters
The supervisor's name, as registered under Administration → Supervisors.
Body
application/json
Response
Accepted. The body is not described: the code sends map[string]any.